### Function

# ICalGLib memory_add_tmp_buffer

since: 1.0

#### Declaration [src]

    void
    i_cal_memory_add_tmp_buffer (
      void* buf
    )

#### Description [src]

Adds an existing buffer to the buffer ring.

Available since: 1.0

#### Parameters

`buf`

  Type: `void*`

  The existing buffer to be added into the ical.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.